be.fgov.ehealth.dics.protocol.v5

## Class ReimbursementCriterionType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ReimbursementCriterionType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:27:16+01:00",
                 comments="JAXB RI v2.3.7")
      public class ReimbursementCriterionType
      extends Object
      implements Serializable

  Java class for ReimbursementCriterionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ReimbursementCriterionType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Description" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             </sequence>
             <attribute name="Category" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReimbursementCriterionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCategory()` Gets the value of the category property.
    `String` | `getCode()` Gets the value of the code property.
    `ConsultTextType` | `getDescription()` Gets the value of the description property.
    `void` | `setCategory(String value)` Sets the value of the category property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setDescription(ConsultTextType value)` Sets the value of the description property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReimbursementCriterionType

          public ReimbursementCriterionType()

  - ### Method Detail

    - #### getDescription

          public ConsultTextType getDescription()

      Gets the value of the description property.
      Returns:
        possible object is `ConsultTextType`

    - #### setDescription

          public void setDescription(ConsultTextType value)

      Sets the value of the description property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getCategory

          public String getCategory()

      Gets the value of the category property.
      Returns:
        possible object is `String`

    - #### setCategory

          public void setCategory(String value)

      Sets the value of the category property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSNURSE 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.